# Gimp.ProcedureConfig.set_color_array

    @accepts(Gimp.ProcedureConfig, unicode, [Gegl.Color], gsize)
    @returns(none)
    def set_color_array(self, property_name, colors, n_colors):
        # Python wrapper for gimp_procedure_config_set_color_array()

A function for bindings to set a [type@ColorArray] property. Setting these with [method@GObject.Object.set] or [method@GObject.Object.set_property] won't [work for the time being](https://gitlab.gnome.org/GNOME/gobject-introspection/-/issues/492) so all our boxed array types must be set and get using these alternative functions instead.

C plug-ins should just use [method@GObject.Object.set].

Since 3.0

self

  a Gimp.ProcedureConfig

property_name

  the name of a [struct@ParamSpecCoreObjectArray] param spec.

colors

  an array of [class@Gegl.Color].

n_colors

  the numbers of colors.